Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003791 [JEDI VCL] 00 JVCL Components feature always 2006-07-01 05:05 2007-10-21 04:18
Reporter moore View Status public  
Assigned To Informatix
Priority normal Resolution fixed  
Status resolved   Product Version 3.20
Summary 0003791: Themed JvDBGrid possible?
Description Is it posible to make the fantastic JvDBGrid themed in themed applications like done wth the satndard DBGrid here http://jedqc.blogspot.com/2006/06/themed-tdbgrid-descendant-tthemedbgrid.html [^] ?
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0009752)
Informatix (developer)
2006-07-03 09:28
edited on: 2006-07-03 09:50

Maybe... I've never been able to use the theming option of the JVCL installer.
You should try that before anything else.

Fred

(0009757)
moore (reporter)
2006-07-03 11:11

Try what? what i meant that when an application is with the XPManifest the grid header shows like the listview header..
(0009762)
Informatix (developer)
2006-07-04 05:11

The JVCL installer has an option named "XP Theming (not for D7)". Check the box, build the packages and see if you get the expected result.

Fred
(0009763)
moore (reporter)
2006-07-04 05:17

>XP Theming (not for D7)

What if I am using Delphi7 ?
(0009765)
obones (administrator)
2006-07-04 07:57

Then you don't need to check it, the theming support will be already built in.
However you will have to drop a TXPManifest component in your application to have the themes support for it.
(0009766)
moore (reporter)
2006-07-04 09:10

themes support is there for windows common controls with XPManifest, what i meant is if it is possible for the JvDBGrid (not a win common control)like done for the standard DBGrid in the webpage above..
(0013988)
moore (reporter)
2007-10-20 07:43
edited on: 2007-10-20 07:45

I downloaded the daily zip of JVCL and I see the JvDBGrid has a new property named UseXPThemes, which makes the Grid header look like the ListView one when a XPManifest is present, so this feature request maybe closed, any side effects should be commented in new thread..


- Issue History
Date Modified Username Field Change
2006-07-01 05:05 moore New Issue
2006-07-03 08:02 obones Assigned To => Informatix
2006-07-03 08:02 obones Status new => acknowledged
2006-07-03 09:28 Informatix Note Added: 0009752
2006-07-03 09:28 Informatix Status acknowledged => feedback
2006-07-03 09:28 Informatix Note Edited: 0009752
2006-07-03 09:50 Informatix Note Edited: 0009752
2006-07-03 11:11 moore Note Added: 0009757
2006-07-04 05:11 Informatix Note Added: 0009762
2006-07-04 05:17 moore Note Added: 0009763
2006-07-04 07:57 obones Note Added: 0009765
2006-07-04 09:10 moore Note Added: 0009766
2007-10-20 07:43 moore Note Added: 0013988
2007-10-20 07:45 moore Note Edited: 0013988
2007-10-21 04:17 AHUser Status feedback => resolved
2007-10-21 04:17 AHUser Fixed in Version => 3.33
2007-10-21 04:17 AHUser Resolution open => fixed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker